MozTW 討論區

各項 Mozilla 相關軟體與技術討論
現在的時間是 2017-12-16, 03:48

所有顯示的時間為 UTC + 8 小時





發表新文章 回覆主題  [ 20 篇文章 ]  前往頁數 12  下一頁
發表人 內容
文章發表於 : 2015-12-16, 13:01 
離線
頭像

註冊時間: 2012-11-15, 23:32
文章: 148
請問

沒驗證的插件在43版皆被強制停止 無法啟用
這部分能更改嗎
就是我仍可啟用沒驗證的插件
當然有任何後果皆自負

我這邊有兩個
NoSquint
Google Translator for Firefox
其中NoSquint被強制停止對我影響很大


最後由 憂傷的魂 於 2015-12-16, 16:10 編輯,總共編輯了 1 次。

回頂端
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:40.0) Gecko/20100101 Firefox/40.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-16, 15:23 
離線

註冊時間: 2007-07-23, 05:10
文章: 24
網址列輸入:about:config

搜尋xpinstall.signatures.required改false


回頂端
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-16, 15:52 
離線

註冊時間: 2010-04-23, 16:17
文章: 5
jd99 寫:
網址列輸入:about:config

搜尋xpinstall.signatures.required改false

感謝!!! 正在發愁沒認證的外掛怎麼辦.....
看來FF對於安全性要求更高了


回頂端
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-16, 16:11 
離線
頭像

註冊時間: 2012-11-15, 23:32
文章: 148
jd99 寫:
網址列輸入:about:config

搜尋xpinstall.signatures.required改false


謝謝jd99大

問題解決了 :D


回頂端
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-16, 19:40 
離線

註冊時間: 2011-05-02, 00:32
文章: 590
Firefox 44就不能再用xpinstall.signatures.required了。

更新:暫定Firefox 47 才取消這個隱藏選項。
來源:https://wiki.mozilla.org/index.php?title=Firefox/AddOns/Status/Updates&oldid=1111271#Exec_Summary


Firefox 46 正式取消選項。
https://blog.mozilla.org/addons/2016/01 ... ng-update/


最後由 Fanolian 於 2016-01-23, 10:42 編輯,總共編輯了 3 次。

回頂端
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:46.0) Gecko/20100101 Firefox/46.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-16, 20:47 
離線
頭像

註冊時間: 2005-03-13, 15:11
文章: 331
Fanolian 寫:
Firefox 44 就不能再用xpinstall.signatures.required了。

靠,fx團隊真的腦袋xxx....


回頂端
Mozilla/5.0 (Windows NT 6.1; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-16, 20:54 
離線

註冊時間: 2011-05-02, 00:32
文章: 590
DDRPTP 寫:
Fanolian 寫:
Firefox 44 就不能再用xpinstall.signatures.required了。

靠,fx團隊真的腦袋xxx....


只能怪,針對firefox 的惡意程式太多;Mozilla 也要照顧不太認識科技的用家。

套件要拿到認證不太難。所有在AMO 的套件都已經有認證。不在AMO 的,Mozilla 也有提供方法拿認證。
最壞情況,就是在授權許可下,自行fork 一個套件出來,自己放到AMO 等認證。


回頂端
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:46.0) Gecko/20100101 Firefox/46.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-16, 20:57 
離線

註冊時間: 2011-05-02, 00:32
文章: 590
憂傷的魂 寫:
請問

沒驗證的插件在43版皆被強制停止 無法啟用
這部分能更改嗎
就是我仍可啟用沒驗證的插件
當然有任何後果皆自負

我這邊有兩個
NoSquint
Google Translator for Firefox
其中NoSquint被強制停止對我影響很大


這2個套件不是都有認證?我沒自行做測試。
https://addons.mozilla.org/firefox/addon/nosquint/versions/
https://addons.mozilla.org/firefox/addon/google-translator-for-firefox/versions/ (但不是最新版本)


回頂端
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:46.0) Gecko/20100101 Firefox/46.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-16, 22:41 
離線
頭像

註冊時間: 2012-11-15, 23:32
文章: 148
Fanolian 寫:


確認了
這兩個插件確實都有認證
而我的為什麼沒有
想了想
應該是因為NoSquint被非官方正體中文化
Google Translator for Firefox則是我自己新增正體中文化語系

如Fanolian大上面說的44以後
xpinstall.signatures.required將不能再用
這該如何是好 :(


回頂端
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-17, 19:47 
離線
頭像

註冊時間: 2013-11-03, 04:45
文章: 176
引言回覆:
自 Firefox 44 起 xpinstall.signatures.required 將無效,
沒驗證的插件在44版起皆被強制停用.



有些人因 "慣用的元件" 與新版Firefox不相容, 因而不打算更新Firefox ?
其實不妨考慮改用其他元件或棄用久未更新的元件.
不用與元件談感情, 隨時找替代元件方是王道!
例:
元件 Unblock Youku 1.0.1 ( https://addons.mozilla.org/zh-TW/firefo ... serprofile )作者不常更新 ?
改以元件 FoxyProxy Standard ( https://addons.mozilla.org/zh-TW/firefo ... serprofile )取代( 看陸劇須在元件添加能用的 "大陸代理伺服器" ).

元件 "維基詞典+Google翻譯" 可替代 元件 "Google Translator for Firefox" .

註: 元件 "FoxyProxy Standard" 及 "維基詞典+Google翻譯" 自
Firefox3.6.28 至 Firefox 43,... 皆可使用( 表示作者有在用心, 元件更新積極 ). 
平常可多留意及比較有那些相似的元件, 萬一其中有不相容等問題, 可找其他相似元件替代.

以前可將簡體元件繁化或改原碼,自 Firefox 44 起便不能自行更改元件內容( 更改後便無法通過驗證無法使用 ).


回頂端
Mozilla/5.0 (Windows NT 6.3; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-19, 12:47 
離線

註冊時間: 2005-03-13, 18:42
文章: 128
我好多附加元件都沒驗證耶,有:
新同文堂
cacheviewer continued
ease link
Organize Status bar
youkuenabler

nosquint倒是沒此訊息

我暫時不想更新fx了


回頂端
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:42.0) Gecko/20100101 Firefox/42.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-19, 16:24 
離線
頭像

註冊時間: 2013-11-03, 04:45
文章: 176
新同文堂 , Organize Status bar-- 新版元件沒問題, 在 Firefox 44.0b1 正常( 除非元件使用太舊的版本 ).


回頂端
Mozilla/5.0 (Windows NT 6.3; rv:44.0) Gecko/20100101 Firefox/44.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-19, 18:50 
離線

註冊時間: 2015-08-27, 00:26
文章: 9
测试不托管在 AMO 的扩展获得签名的流程(秒获签名!)
https://www.firefox.net.cn/read-50839


回頂端
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-19, 22:00 
離線
頭像

註冊時間: 2012-11-15, 23:32
文章: 148
akito1998 寫:
测试不托管在 AMO 的扩展获得签名的流程(秒获签名!)
https://www.firefox.net.cn/read-50839


感謝akito1998大提供教學

目前我自己正體中文化Google Translator for Firefox已獲得簽屬(已初步審核)
並且通過驗證得以安裝

但NoSquint雖然也獲得簽屬(已初步審核)
可是卻無法順利安裝
卡住不動
附加檔案:
未命名-2.jpg [79.22 KiB]
被下載 79 次

有人知道怎麼一回事嗎


回頂端
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
文章發表於 : 2015-12-20, 01:02 
離線
頭像

註冊時間: 2012-11-15, 23:32
文章: 148
終於NoSquint也弄妥了

不知為何用原本正體中文化版本去改就是無法順利安裝
NoSquint 1.93.2.1 - 2.1.9.1 [中]

最後用原始英文版去改
不另添加zh_TW目錄
直接將正體中文化zh_TW目錄裡的檔案
取代en-US裡的檔案

上傳檢驗後立即獲得簽屬(已初步審核)
也可以順利安裝

於此要在一次感謝akito1998大所提供的教學 :D


回頂端
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0
 個人資料  
引用回覆  
顯示文章 :  排序  
發表新文章 回覆主題  [ 20 篇文章 ]  前往頁數 12  下一頁

所有顯示的時間為 UTC + 8 小時


誰在線上

正在瀏覽這個版面的使用者:Bing [Bot], Google [Bot] 和 5 位訪客


不能 在這個版面發表主題
不能 在這個版面回覆主題
不能 在這個版面編輯您的文章
不能 在這個版面刪除您的文章
不能 在這個版面上傳附加檔案

搜尋:
前往 :  
Powered by phpBB® Forum Software © phpBB Group
正體中文語系由 竹貓星球 維護製作
© moztw.org, Mozilla Foundation
MozTW,Mozilla 台灣社群